package com.steerinfo.meterwork.metertolimsold.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽车衡老系统计量数据转换表")
public class MeterToLimsOld implements IBasePO<String> {
    /**
     * 主键(ID,VARCHAR,200)
     */
    @ApiModelProperty(value="主键",required=true)
    private String id;

    /**
     * 表格数据的序号(XH,VARCHAR,200)
     */
    @ApiModelProperty(value="表格数据的序号",required=false)
    private String xh;

    /**
     * 产品分类(CPFL,VARCHAR,200)
     */
    @ApiModelProperty(value="产品分类",required=false)
    private String cpfl;

    /**
     * 产品名称(CPMC,VARCHAR,200)
     */
    @ApiModelProperty(value="产品名称",required=false)
    private String cpmc;

    /**
     * 来源(LY,VARCHAR,200)
     */
    @ApiModelProperty(value="来源",required=false)
    private String ly;

    /**
     * 去向(QX,VARCHAR,200)
     */
    @ApiModelProperty(value="去向",required=false)
    private String qx;

    /**
     * 车号(CHH,VARCHAR,40)
     */
    @ApiModelProperty(value="车号",required=false)
    private String chh;

    /**
     * 过磅日期(RQ,TIMESTAMP,7)
     */
    @ApiModelProperty(value="过磅日期",required=false)
    private Date rq;

    /**
     * 批号(PH,VARCHAR,40)
     */
    @ApiModelProperty(value="批号",required=false)
    private String ph;

    /**
     * 毛重(MZ,DECIMAL,10)
     */
    @ApiModelProperty(value="毛重",required=false)
    private BigDecimal mz;

    /**
     * 皮重(PZ,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重",required=false)
    private BigDecimal pz;

    /**
     * 净重(JZ,DECIMAL,10)
     */
    @ApiModelProperty(value="净重",required=false)
    private BigDecimal jz;

    /**
     * 计量员(JLY,VARCHAR,20)
     */
    @ApiModelProperty(value="计量员",required=false)
    private String jly;

    /**
     * 过磅时间(SJ,TIMESTAMP,7)
     */
    @ApiModelProperty(value="过磅时间",required=false)
    private Date sj;

    /**
     * 附加皮重(FJPZ,DECIMAL,10)
     */
    @ApiModelProperty(value="附加皮重",required=false)
    private BigDecimal fjpz;

    /**
     * 无用字段(BZH,VARCHAR,200)
     */
    @ApiModelProperty(value="无用字段",required=false)
    private String bzh;

    /**
     * 无用字段(BZ,VARCHAR,200)
     */
    @ApiModelProperty(value="无用字段",required=false)
    private String bz;

    /**
     * 无用字段(SHL,DECIMAL,10)
     */
    @ApiModelProperty(value="无用字段",required=false)
    private BigDecimal shl_change;

    /**
     * 无用字段(CPZ,DECIMAL,10)
     */
    @ApiModelProperty(value="无用字段",required=false)
    private BigDecimal cpz;

    /**
     * 送检标识默认false(SJBZ,VARCHAR,20)
     */
    @ApiModelProperty(value="送检标识默认false",required=false)
    private String sjbz;

    /**
     * 导出次数(EXPORT_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="导出次数",required=false)
    private Short exportNum;

    /**
     * 净重计量点名称(NET_SPOT3_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="净重计量点名称",required=false)
    private String netSpot3Name;

    /**
     * 皮重计量点名称(BASE_SPOT2_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="皮重计量点名称",required=false)
    private String baseSpot2Name;

    /**
     * 毛重计量点名称(BASE_SPOT1_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="毛重计量点名称",required=false)
    private String baseSpot1Name;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getXh() {
        return xh;
    }

    public void setXh(String xh) {
        this.xh = xh == null ? null : xh.trim();
    }

    public String getCpfl() {
        return cpfl;
    }

    public void setCpfl(String cpfl) {
        this.cpfl = cpfl == null ? null : cpfl.trim();
    }

    public String getCpmc() {
        return cpmc;
    }

    public void setCpmc(String cpmc) {
        this.cpmc = cpmc == null ? null : cpmc.trim();
    }

    public String getLy() {
        return ly;
    }

    public void setLy(String ly) {
        this.ly = ly == null ? null : ly.trim();
    }

    public String getQx() {
        return qx;
    }

    public void setQx(String qx) {
        this.qx = qx == null ? null : qx.trim();
    }

    public String getChh() {
        return chh;
    }

    public void setChh(String chh) {
        this.chh = chh == null ? null : chh.trim();
    }

    public Date getRq() {
        return rq;
    }

    public void setRq(Date rq) {
        this.rq = rq;
    }

    public String getPh() {
        return ph;
    }

    public void setPh(String ph) {
        this.ph = ph == null ? null : ph.trim();
    }

    public BigDecimal getMz() {
        return mz;
    }

    public void setMz(BigDecimal mz) {
        this.mz = mz;
    }

    public BigDecimal getPz() {
        return pz;
    }

    public void setPz(BigDecimal pz) {
        this.pz = pz;
    }

    public BigDecimal getJz() {
        return jz;
    }

    public void setJz(BigDecimal jz) {
        this.jz = jz;
    }

    public String getJly() {
        return jly;
    }

    public void setJly(String jly) {
        this.jly = jly == null ? null : jly.trim();
    }

    public Date getSj() {
        return sj;
    }

    public void setSj(Date sj) {
        this.sj = sj;
    }

    public BigDecimal getFjpz() {
        return fjpz;
    }

    public void setFjpz(BigDecimal fjpz) {
        this.fjpz = fjpz;
    }

    public String getBzh() {
        return bzh;
    }

    public void setBzh(String bzh) {
        this.bzh = bzh == null ? null : bzh.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public BigDecimal getshl_change() {
        return shl_change;
    }

    public void setshl_change(BigDecimal shl_change) {
        this.shl_change = shl_change;
    }

    public BigDecimal getCpz() {
        return cpz;
    }

    public void setCpz(BigDecimal cpz) {
        this.cpz = cpz;
    }

    public String getSjbz() {
        return sjbz;
    }

    public void setSjbz(String sjbz) {
        this.sjbz = sjbz == null ? null : sjbz.trim();
    }

    public Short getExportNum() {
        return exportNum;
    }

    public void setExportNum(Short exportNum) {
        this.exportNum = exportNum;
    }

    public String getNetSpot3Name() {
        return netSpot3Name;
    }

    public void setNetSpot3Name(String netSpot3Name) {
        this.netSpot3Name = netSpot3Name == null ? null : netSpot3Name.trim();
    }

    public String getBaseSpot2Name() {
        return baseSpot2Name;
    }

    public void setBaseSpot2Name(String baseSpot2Name) {
        this.baseSpot2Name = baseSpot2Name == null ? null : baseSpot2Name.trim();
    }

    public String getBaseSpot1Name() {
        return baseSpot1Name;
    }

    public void setBaseSpot1Name(String baseSpot1Name) {
        this.baseSpot1Name = baseSpot1Name == null ? null : baseSpot1Name.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", xh=").append(xh);
        sb.append(", cpfl=").append(cpfl);
        sb.append(", cpmc=").append(cpmc);
        sb.append(", ly=").append(ly);
        sb.append(", qx=").append(qx);
        sb.append(", chh=").append(chh);
        sb.append(", rq=").append(rq);
        sb.append(", ph=").append(ph);
        sb.append(", mz=").append(mz);
        sb.append(", pz=").append(pz);
        sb.append(", jz=").append(jz);
        sb.append(", jly=").append(jly);
        sb.append(", sj=").append(sj);
        sb.append(", fjpz=").append(fjpz);
        sb.append(", bzh=").append(bzh);
        sb.append(", bz=").append(bz);
        sb.append(", shl_change=").append(shl_change);
        sb.append(", cpz=").append(cpz);
        sb.append(", sjbz=").append(sjbz);
        sb.append(", exportNum=").append(exportNum);
        sb.append(", netSpot3Name=").append(netSpot3Name);
        sb.append(", baseSpot2Name=").append(baseSpot2Name);
        sb.append(", baseSpot1Name=").append(baseSpot1Name);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}